summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJacek Fiedorowicz2015-06-22 16:33:08 +0200
committerJacek Fiedorowicz2015-06-22 16:33:08 +0200
commit0b605ad6c579434a9ce9f1fef338da2c23601f2a (patch)
tree10b99387b847f0cd530a4a1c89ca3be4ef8f31e6
downloadaur-0b605ad6c579434a9ce9f1fef338da2c23601f2a.tar.gz
Initial import
-rw-r--r--.AURINFO20
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD57
-rw-r--r--astromenace.desktop10
4 files changed, 107 insertions, 0 deletions
diff --git a/.AURINFO b/.AURINFO
new file mode 100644
index 00000000000..11a244f89a2
--- /dev/null
+++ b/.AURINFO
@@ -0,0 +1,20 @@
+pkgbase = astromenace-svn
+ pkgdesc = The latest version of hardcore 3D space shooter with spaceship upgrade possibilities
+ pkgver = 293
+ pkgrel = 1
+ url = http://www.viewizard.com/astromenace/index_linux.php
+ arch = x86_64
+ license = GPL3
+ makedepends = cmake
+ depends = sdl2
+ depends = freealut
+ depends = libjpeg
+ depends = libvorbis
+ depends = glu
+ depends = freetype2
+ conflicts = astromenace
+ source = astromenace.desktop
+ md5sums = b89aa017cdf9db1d6fe085889f8388fc
+
+pkgname = astromenace-svn
+
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..11a244f89a2
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = astromenace-svn
+ pkgdesc = The latest version of hardcore 3D space shooter with spaceship upgrade possibilities
+ pkgver = 293
+ pkgrel = 1
+ url = http://www.viewizard.com/astromenace/index_linux.php
+ arch = x86_64
+ license = GPL3
+ makedepends = cmake
+ depends = sdl2
+ depends = freealut
+ depends = libjpeg
+ depends = libvorbis
+ depends = glu
+ depends = freetype2
+ conflicts = astromenace
+ source = astromenace.desktop
+ md5sums = b89aa017cdf9db1d6fe085889f8388fc
+
+pkgname = astromenace-svn
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..5609d728cdd
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,57 @@
+# Contributor: Archadept
+# Revision: 2014-10-24
+
+pkgname=astromenace-svn
+pkgver=293
+pkgrel=1
+pkgdesc="The latest version of hardcore 3D space shooter with spaceship upgrade possibilities"
+arch=x86_64
+url="http://www.viewizard.com/astromenace/index_linux.php"
+license=('GPL3')
+conflicts=astromenace
+depends=('sdl2' 'freealut' 'libjpeg' 'libvorbis' 'glu' 'freetype2')
+makedepends=('cmake')
+source=('astromenace.desktop')
+md5sums=('b89aa017cdf9db1d6fe085889f8388fc')
+
+_svnsource=svn://svn.code.sf.net/p/openastromenace/code
+_svnmod=astromenace
+build() {
+ cd "${srcdir}"
+ msg "Connecting to gna SVN server..."
+ msg "Checking out $_svnmod"
+
+ if [ -d $_svnmod/.svn ]; then
+ (cd $_svnmod && svn up -r $pkgver)
+ else
+ svn co $_svnsource --config-dir ./ -r $pkgver $_svnmod
+ fi
+
+ msg "SVN checkout done or server timeout"
+ msg "Setting up build environment..."
+
+ rm -rf ${srcdir}/$_svnmod-build
+ cp -r ${_svnmod} ${_svnmod}-build || return 1
+ cd ${_svnmod}-build
+
+ msg "Starting build"
+
+ cd "${srcdir}/${_svnmod}-build"
+ cmake -DSDL2=ON ./
+ make
+
+ ./AstroMenace --pack --rawdata=./RAW_VFS_DATA
+}
+
+package () {
+ # Manually install the engine and data
+ mkdir -p $pkgdir/usr/share/${_svnmod}
+ install -m 644 $srcdir/${_svnmod}-build/gamedata.vfs $pkgdir/usr/share/${_svnmod}/gamedata.vfs
+
+ # Install .desktop, icon and bin
+ install -Dm 644 ${startdir}/astromenace.desktop $pkgdir/usr/share/applications/astromenace.desktop
+ install -Dm 644 ${srcdir}/${_svnmod}-build/astromenace_128.png $pkgdir/usr/share/pixmaps/astromenace.png
+ install -Dm 755 ${srcdir}/${_svnmod}-build/AstroMenace $pkgdir/usr/bin/astromenace
+ cd $pkgdir/usr/bin
+ ln -s /usr/share/astromenace/gamedata.vfs gamedata.vfs
+}
diff --git a/astromenace.desktop b/astromenace.desktop
new file mode 100644
index 00000000000..2294145ee14
--- /dev/null
+++ b/astromenace.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Astromenace
+Comment=Space shooter
+Exec=/usr/bin/astromenace
+Icon=/usr/share/pixmaps/astromenace.png
+StartupNotify=true
+Terminal=false
+Type=Application
+Categories=Application;Game;ArcadeGame;